import {TokenProvider} from "../../app/provider/token.provider";
import {fireMfeEventToContainer} from "../../../mfe-app-tools";


export class MfeTokenProvider extends TokenProvider {
  getToken(): Promise<string> {
    return fireMfeEventToContainer('token-request', {});
  }
}